SDL_BindGPUComputeStorageTextures(3)

NAME
SDL_BindGPUComputeStorageTextures - Binds storage textures as readonly for use on the compute pipeline.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_BindGPUComputeStorageTextures(
    SDL_GPUComputePass *compute_pass,
    Uint32 first_slot,
    SDL_GPUTexture *const *storage_textures,
    Uint32 num_bindings);

DESCRIPTION
These textures must have been created with SDL_GPU_TEXTUREUSAGE_COMPUTE_STORAGE_READ.

Be sure your shader is set up according to the requirements documented in SDL_CreateGPUShader().

FUNCTION PARAMETERS

compute_pass
    a compute pass handle.

first_slot
    the compute storage texture slot to begin binding from.

storage_textures
    an array of storage textures.

num_bindings
    the number of storage textures to bind from the array.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUShader(3)